Bug 1779297

Summary: prusa-slicer-2.2.0 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: prusa-slicerAssignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ajacocks, j, mhroncok
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: prusa-slicer-2.2.0-1.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-01 16:33:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
proposed SPEC file for 2.2.0 none

Description Upstream Release Monitoring 2019-12-03 17:17:31 UTC
Latest upstream release: 2.2.0-alpha0
Current version/release in rawhide: 2.1.0-2.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 1 Upstream Release Monitoring 2019-12-21 07:06:33 UTC
Latest upstream release: 2.2.0-alpha1
Current version/release in rawhide: 2.1.0-2.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 2 Upstream Release Monitoring 2019-12-22 19:13:59 UTC
Latest upstream release: 2.2.0-alpha2
Current version/release in rawhide: 2.1.0-2.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 3 Upstream Release Monitoring 2020-01-24 03:20:48 UTC
Latest upstream release: 2.2.0-alpha3
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 4 Upstream Release Monitoring 2020-02-09 22:56:25 UTC
Latest upstream release: 2.2.0-alpha4
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 5 Upstream Release Monitoring 2020-02-22 04:17:24 UTC
Latest upstream release: 2.2.0-beta
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 6 Upstream Release Monitoring 2020-02-29 22:44:58 UTC
Latest upstream release: 2.2.0-rc
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 7 Upstream Release Monitoring 2020-03-07 23:27:50 UTC
Latest upstream release: 2.2.0-rc2
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 8 Upstream Release Monitoring 2020-03-11 21:22:26 UTC
Latest upstream release: 2.2.0-rc3
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 9 Upstream Release Monitoring 2020-03-14 21:02:54 UTC
Latest upstream release: 2.2.0-rc4
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 10 Upstream Release Monitoring 2020-03-19 16:39:31 UTC
Latest upstream release: 2.2.0-rc5
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 11 Upstream Release Monitoring 2020-03-21 16:05:03 UTC
Latest upstream release: 2.2.0
Current version/release in rawhide: 2.1.1-1.fc32
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 12 J. Alexander Jacocks 2020-03-31 00:29:55 UTC
Created attachment 1674894 [details]
proposed SPEC file for 2.2.0

Comment 13 J. Alexander Jacocks 2020-03-31 00:31:31 UTC
I just added a basic update of the 2.1.1 spec file to 2.2.0.  There are a few new deps required, and one more directory to package:

diff prusa-slicer.spec prusa-slicer-2.2.0.spec 
5c5
< Version:        2.1.1
---
> Version:        2.2.0
25c25
< Patch0:         https://github.com/prusa3d/PrusaSlicer/commit/94212fa2a92b5d01be5da8235f02423249dd7b2a.patch
---
> #Patch0:         https://github.com/prusa3d/PrusaSlicer/commit/94212fa2a92b5d01be5da8235f02423249dd7b2a.patch
30c30
< Patch1:         patch-endianness
---
> #Patch1:         patch-endianness
39a40
> BuildRequires:  CGAL-devel
48a50
> BuildRequires:  ilmbase-devel
49a52
> BuildRequires:  libgudev
51a55,57
> BuildRequires:  openvdb
> BuildRequires:  openvdb-devel
> BuildRequires:  systemd-devel
399c405
< %_datadir/PrusaSlicer/{icons,models,profiles,shaders}/
---
> %_datadir/PrusaSlicer/{icons,models,profiles,shaders,udev}/

Comment 14 J. Alexander Jacocks 2020-03-31 00:37:10 UTC
I left the patches in, but commented out. I don't see any need for them, but others might.

Comment 15 Miro Hrončok 2020-03-31 08:15:29 UTC
Thanks. I've opened https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/2

Comment 16 Fedora Update System 2020-03-31 12:10:40 UTC
FEDORA-2020-b09978ff6f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b09978ff6f

Comment 17 Fedora Update System 2020-04-01 16:33:54 UTC
FEDORA-2020-b09978ff6f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.